-- =============================================
-- AUTHOR:		ALESSANDRO TRINGALI
-- CREATE DATE:  24 SETTEMBRE 2009
-- DESCRIPTION: 
-- =============================================
-- [C6MartPeriodico].[PL_Prodotti_Non_Associati_Area_Inv] 'F', 'RLPRCL54P61Z116S'
CREATE procedure [C6MartPeriodico].[PL_Prodotti_Non_Associati_Area_Inv]
 -- ADD THE PARAMETERS FOR THE STORED PROCEDURE HERE
 @Rete char(1), 
 @CodiceFiscale varchar(16)
AS
BEGIN
SELECT 
PATRBF.RETE,
PATRBF.COD_FISCALE,
ISNULL(PATRBF.NOME_PROGETTO,'Prodotti non associati a progetti') AS NOME_PROGETTO,
ID_AREA as NEED_AREA,
SUM(CTV) AS CONTROVALOREATTUALE,
MAX(ISNULL(RISK.VAR_PERC_PTF,0)) AS var_needarea,
--PATRBF.ORDINAMENTO_PROGETTO as ORDINAMENTO_PROGETTO,
PATRBF.CHIAVE_PROGETTO as ORDINAMENTO_PROGETTO,
		CASE 
			WHEN RISK.COPERTURA IS NULL THEN 'n.c.' 
			WHEN RISK.COPERTURA = 0 THEN 'n.c.' 
			ELSE NULL 
		END AS var_needareaString
FROM
C6MARTPERIODICO.PATRIMONIO_BF  PATRBF
LEFT OUTER JOIN 
C6MARTPERIODICO.RISCHIO_AGGREGATO RISK 
ON PATRBF.RETE = RISK.RETE
			AND PATRBF.COD_FISCALE = RISK.COD_FISCALE
			AND RISK.COD_AGGREG = 'PIRAMIDE|Inv|'+ ISNULL(PATRBF.NOME_PROGETTO,'Prodotti non associati a progetti')
WHERE 1 = 1
	AND PATRBF.RETE = @Rete
	AND PATRBF.COD_FISCALE = @CodiceFiscale
    AND PATRBF.id_AREA = 'Inv' 
    AND PATRBF.NOME_PROGETTO='Prodotti non associati a progetti'        
GROUP BY 
PATRBF.RETE,
PATRBF.COD_FISCALE,
ISNULL(PATRBF.NOME_PROGETTO,'Prodotti non associati a progetti'),
ID_AREA,
CHIAVE_PROGETTO,
		CASE 
			WHEN RISK.COPERTURA IS NULL THEN 'n.c.' 
			WHEN RISK.COPERTURA = 0 THEN 'n.c.' 
			ELSE NULL 
		END 
END